=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
+Rules-Requires-Root: no
 
 Package: libkf5itemviews-data
 Architecture: all
@@ -34,11 +35,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5itemviews5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5itemviews-doc (= ${source:Version})
-Breaks: kio-dev (<< 5.28)
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering
@@ -65,8 +65,7 @@
 Multi-Arch: same
 Depends: libkf5itemviews-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: kross (<< 5.42), libkf5kdelibs4support5 (<< 5.42)
+         ${shlibs:Depends}
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering
