## kitemviews 5.80.0

=== debian/changelog ===
kitemviews (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:21 +0000

kitemviews (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:25 +0000

kitemviews (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debian/tests: Disable testsuite.
    - Symbols file update.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 15:57:55 +0000

kitemviews (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:54 +0000

kitemviews (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debian/tests: Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 16:31:07 +0000

kitemviews (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:46 +0000

kitemviews (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:17 +0000
